<!--
 * @Author: zqm
 * @Date: 2022-01-05 13:15:04
 * @LastEditTime: 2022-01-06 10:37:04
 * @LastEditors: Please set LastEditors
 * @Description: 好差评
 * @FilePath: \taxformtoolframework1\src\components\commentDialog.vue
-->
<template>
  <div>
    <el-dialog class="tipDialog" title="一事一评" :visible.sync="ysyqDialog.visible" width="35%" center :close-on-click-modal="false" :close-on-press-escape="false">
      <el-table ref="ysypTable" :data="ysyqDialog.dataList" tooltip-effect="dark" max-height="400" style="width: 100%" border @selection-change="handleSelectionChange">
        <el-table-column prop="sxDm" label="事项代码"></el-table-column>
        <el-table-column prop="sxMc" label="事项名称"></el-table-column>
        <el-table-column label="操作" width="100">
          <template slot-scope="scope">
            <el-button @click="goReview(scope.row)" type="text" size="small">去评价</el-button>
          </template>
        </el-table-column>
      </el-table>
    </el-dialog>
  </div>
</template>

<script>
export default {
  props: {
    ysyqDialog: { type: Object, default: {} }
  },
  methods: {
    // 好差评：一事一评 去评价，打开局端页面
    goReview() {
      var $eleForm = $("<form id='ysyp' method='post'></form>");
      $eleForm.attr("action", ysypUrl);
      $(document.body).append($eleForm);
      var dsfxtDm = $("<input>"); //创建input标签
      dsfxtDm.attr("type", "hidden"); //设置隐藏域
      dsfxtDm.attr("name", "dsfxtDm"); //设置发送后台数据的参数名
      dsfxtDm.attr("value", JSON.stringify(hcpResponse.dsfxtDm));
      $("#ysyp").append(dsfxtDm);
      var sn = $("<input>"); //创建input标签
      sn.attr("type", "hidden"); //设置隐藏域
      sn.attr("name", "sn"); //设置发送后台数据的参数名
      sn.attr("value", JSON.stringify(hcpResponse.sn));
      $("#ysyp").append(sn);
      var dataYsyp = $("<input>"); //创建input标签
      dataYsyp.attr("type", "hidden"); //设置隐藏域
      dataYsyp.attr("name", "data"); //设置发送后台数据的参数名
      dataYsyp.attr("value", JSON.stringify(hcpResponse.dataYsyp));
      $("#ysyp").append(dataYsyp);
      // 提交表单，实现下载
      try {
        $eleForm.submit();
      } catch (e) {
        this.$router.push({ name: 'error500' })
      }
      $("#ysyq").remove();
    },
    // 好差评：一事一评 申报后根据返回标志确认是否跳转评价页面
    ysypReview(hcpResponse) {
      var $eleForm = $("<form id='hcpForm' method='post' target='_blank'></form>");
      $eleForm.attr("action", hcpResponse.url);
      $(document.body).append($eleForm);
      var dsfxtDm = $("<input>"); //创建input标签
      dsfxtDm.attr("type", "hidden"); //设置隐藏域
      dsfxtDm.attr("name", "dsfxtDm"); //设置发送后台数据的参数名
      dsfxtDm.attr("value", hcpResponse.dsfxtDm);
      $("#hcpForm").append(dsfxtDm);
      var sn = $("<input>"); //创建input标签
      sn.attr("type", "hidden"); //设置隐藏域
      sn.attr("name", "sn"); //设置发送后台数据的参数名
      sn.attr("value", hcpResponse.sn);
      $("#hcpForm").append(sn);
      var data = $("<input>"); //创建input标签
      data.attr("type", "hidden"); //设置隐藏域
      data.attr("name", "data"); //设置发送后台数据的参数名
      data.attr("value", hcpResponse.data);
      $("#hcpForm").append(data);
      // 提交表单，实现下载
      try {
        $eleForm.submit();
      } catch (e) {
        this.$router.push({ name: 'error500' });
      }
      $("#hcpForm").remove();
    },
    // 好差评 一事一评 提示语
    ysypTip(responseBean) {
      this.$confirm('尊敬的纳税人：按照税务局要求，为您提供 “好差评”评价政务服务，是否使用该服务？', '提示', {
        confirmButtonText: '一事一评',
        cancelButtonText: '暂不评价',
        type: 'success',
        showClose: false,
        closeOnClickModal: false,
        closeOnPressEscape: false
      }).then(() => {
        this.ysypReview(responseBean); //调用好差评 一事一评
      }).catch(() => {
      });
    },
    handleSelectionChange(val) {
      if (val.length != 0) {
        this.selectSB.checkBB = this.deepClone(val);
      }
    },
  },
}
</script>
<style scoped>
</style>